YSTest: YSLib::Components::AController Class Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Private Attributes | List of all members
YSLib::Components::AController Class Referenceabstract

控制器抽象类。 More...

`#include <ywgtevt.h>`

Inheritance diagram for YSLib::Components::AController:
[legend]

## Public Member Functions

| AController (bool b=true)
| 构造：使用指定可用性。
virtual | ~AController ()
| 析构：空实现。
bool | IsEnabled () const ynothrow
virtual EventMapping::ItemType & | GetItem (const VisualEvent &)=0
| 取事件项。
virtual EventMapping::ItemType & | GetItemRef (const VisualEvent &id, EventMapping::MappedType(&)())
| 取事件项，若不存在则用指定函数指针添加。
void | SetEnabled (bool _tempArgName)
virtual AController * | Clone () const =0

## Private Attributes

bool | enabled
| 控件可用性。

## Detailed Description

控制器抽象类。

Since
  build 243

Definition at line 348 of file ywgtevt.h.

## Constructor & Destructor Documentation

YSLib::Components::AController::AController | ( | bool | b = `true` | ) |

inline

构造：使用指定可用性。

Definition at line 357 of file ywgtevt.h.

virtual YSLib::Components::AController::~AController | ( |  | ) |

inlinevirtual

析构：空实现。

Since
  build 295

Definition at line 364 of file ywgtevt.h.

## Member Function Documentation

virtual AController* YSLib::Components::AController::Clone | ( |  | ) | const

pure virtual

Implemented in YSLib::Components::WidgetController, and YSLib::Components::Controller.

virtual EventMapping::ItemType& YSLib::Components::AController::GetItem | ( | const VisualEvent & |  | ) |

pure virtual

取事件项。

Since
  build 293

Implemented in YSLib::Components::WidgetController, and YSLib::Components::Controller.

virtual EventMapping::ItemType& YSLib::Components::AController::GetItemRef | ( | const VisualEvent & | id,
|  | EventMapping:: | MappedType&)(
| ) |  |

inlinevirtual

取事件项，若不存在则用指定函数指针添加。

Exceptions

  忽略加入任何事件项。 |

Reimplemented in YSLib::Components::Controller.

Definition at line 378 of file ywgtevt.h.

Referenced by YSLib::Components::FetchEvent().

Here is the caller graph for this function:

bool YSLib::Components::AController::IsEnabled | ( |  | ) | const

inline

Definition at line 366 of file ywgtevt.h.

void YSLib::Components::AController::SetEnabled | ( | bool | _tempArgName | ) |

inline

Definition at line 383 of file ywgtevt.h.

Referenced by YSLib::Components::SetEnabledOf().

Here is the caller graph for this function:

## Member Data Documentation

bool YSLib::Components::AController::enabled

private

控件可用性。

Definition at line 351 of file ywgtevt.h.

The documentation for this class was generated from the following file:

- ywgtevt.h